#pragma once
#include "afxwin.h"


// DGuidedMeasurePipeline dialog

class DGuidedMeasurePipeline : public CDialog
{
	DECLARE_DYNAMIC(DGuidedMeasurePipeline)

public:
	DGuidedMeasurePipeline(CWnd* pParent = NULL);   // standard constructor
	virtual ~DGuidedMeasurePipeline();

	CString m_groupTargetInfo;
	CString m_deltaInfo;
	CString m_deltaMagInfo;
	Vector	m_curXYZ;

	BOOL ProcessNewData(const Vector& newpt, const int& inc);
	bool GetCurrentTarget(CString& col, CString& grp, CString& targ);

// Dialog Data
	enum { IDD = IDD_GUIDED_MEASURE_DIALOG };

protected:
	CForceFitStatic m_grpTargCtrl;

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	afx_msg void OnDestroy();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedDeleteLastPoint();

	void SetGTNames();
	void UpdateFields();

	DECLARE_MESSAGE_MAP()
};
